/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
#include <stdio.h>

char salida[12];
char str[12];
int8 output;
int8 salida_filtro;

uint result;

CY_ISR(Before_Filter_ISR)
{
    result= ADC_DelSig_1_GetResult8();
    result=ADC_DelSig_1_CountsTo_mVolts(result) ;
    Filter_1_Write8(Filter_1_CHANNEL_A,result);
}

volatile uint8 FilterResult=0;
volatile uint8 isr_FilterDoneFlag=0;

CY_ISR(After_Filter_ISR)
{
    isr_FilterDoneFlag=1;
    FilterResult=Filter_1_Read8(Filter_1_CHANNEL_A);
}
void main()
{
    char8 str[8];
    
    /* Start WaveDAC8  */
    WaveDAC8_1_Start(); 
    
    /* Start ADC_DelSig  */
    ADC_DelSig_1_IRQ_Start();
    ADC_DelSig_1_Start();
    ADC_DelSig_1_StartConvert();
    
    /* Start UART  */
    UART_1_Start();
    
    /* Start Filter  */
    Filter_1_Start();
    
    /* Start interrupts */
    isr_beforefilter_StartEx(Before_Filter_ISR);
    isr_afterfilter_StartEx(After_Filter_ISR);
    
    /* Enable global interrupts. */
    CyGlobalIntEnable; 
    
    //UART_1_WriteTxData("Bienvenido");
    for(;;)
    {
        if(isr_FilterDoneFlag!=0)
        {
            isr_FilterDoneFlag=0;
            
            //sprintf(str, "%d\r\n",FilterResult);
            sprintf(str, "%d\r\n",result);
            UART_1_PutString(str);
            
            //UART_1_PutChar(FilterResult);
        }
        
    }
}

/* [] END OF FILE */
